#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-online-accounts-3.40.1

- Next

  libchamplain-0.12.20

- Up
- Home

# Grilo-0.3.14

## Introduction to Grilo

Grilo is a framework focused on making media discovery and browsing easy for applications and application developers.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/grilo/0.3/grilo-0.3.14.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/grilo/0.3/grilo-0.3.14.tar.xz

- Download MD5 sum: e936bd1b918773c0d0c425a5e6b30ba5

- Download size: 232 KB

- Estimated disk space required: 16 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### Grilo Dependencies

#### Required

GLib-2.70.4 and libxml2-2.9.13

#### Recommended

gobject-introspection-1.70.0, GTK+-3.24.31, libsoup-2.74.2, totem-pl-parser-3.26.6, and Vala-0.54.7

#### Optional

Avahi-0.8, DocBook-utils-0.6.14, liboauth-1.0.3, and GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/grilo

## Installation of Grilo

Install Grilo by running the following commands:

    mkdir build &&
    cd    build    &&

    meson --prefix=/usr       \
          --buildtype=release \
          -Denable-gtk-doc=false .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Denable-gtk-doc=false`: This option disables generating documentation. If you have GTK-Doc-1.33.2 installed and wish to generate documentation, remove this option.

## Contents

Installed Programs: grilo-test-ui-0.3, grl-inspect-0.3 and grl-launch-0.3
Installed Libraries: libgrilo-0.3.so, libgrlnet-0.3.so and libgrlpls-0.3.so
Installed Directories: /usr/include/grilo-0.3

### Short Descriptions

grilo-test-ui-0.3 | is a simple playground application that you can use to test the framework and its plugins
grl-inspect-0.3 | is a tool that prints out information on available Grilo sources
grl-launch-0.3 | is a tool to run Grilo operations from command line
`libgrilo.so` | provides the Grilo framework
`libgrlnet.so` | provides Grilo networking helpers for plug-ins
`libgrlpls.so` | provides playlist handling functions

Last updated on

- Prev

  gnome-online-accounts-3.40.1

- Next

  libchamplain-0.12.20

- Up
- Home